UML_MKCOW(1)

NAME
uml_mkcow — create a new COW file

SYNOPSIS

uml_mkcow [-f] [COW_file] [backing_file]

DESCRIPTION

This manual page documents briefly the uml_mkcow command.

This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page. Instead, it has documentation in HTML format; see below.

uml_mkcow is a small utility to create COW (Copy-On-Write) files without the need to run the full UML kernel.

NOTE: you can save a lot of disk space using COW files. When checking the size of the COW file in order to see the gobs of space that you're saving, make sure you use 'ls -ls' to see the actual disk consumption rather than the length of the file. The COW file is sparse, so the length will be very different from the disk usage.

OPTIONS

-f  Force overwrite of an exsiting COW file.

EXAMPLES

Create a new COW file:

uml_mkcow rootfs_COW rootfs

Overwrite (destroying) an existing COW file:

uml_mkcow -f rootfs_COW rootfs

SEE ALSO

The UserModeLinux-HOWTO (link to URL http://user-mode-linux.sourceforge.net/UserModeLinux-HOWTO.html)

AUTHOR

uml_mkcow was written by Steve Schnepp.

This manual page was written by Mattia Dongili malattia@debian.org for the Debian GNU/Linux system, based on material in the UserModeLinux-HOWTO by Rusty Russell.